<?php

namespace GopNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;

class RegisterOperatingParamsModalController {
    
    protected $service;
    protected $crudService;
    
    public function __construct($connection, $environment, $util, $service, $crudService){
        $this->connection   = $connection;
        $this->environment  = $environment;
        $this->util         = $util;
        $this->service      = $service;
        $this->crudService	= $crudService;
    }
    public function saveOpBudgetParamsRegister(Request\Row $request, Response $response) {
        $row = $request->getRow();
        try {
            $this->service->beginTransaction();
    
        foreach ($row["CDFILIAL"] as $filial) {
            $params = [
                "NRMESREAJCONTR" => $row["NRMESREAJCONTR"],
                "VRPEORCBLOQFIL" => strval($row["VRPEORCBLOQFIL"]),
                "VRPEORCALERTFIL" => strval($row["VRPEORCALERTFIL"]),
                "IDCALCOMESTORC" => $row["IDCALCOMESTORC"],
                "NRDIAINIORCAGOP" => strval($row["NRDIAINIORCAGOP"]),
                "IDCONSAFORCFIL" => $row["IDCONSAFORCFIL"],
                "CDFILIAL" => $filial
            ];
            $this->service->updateBudgetParamsRegister($params);
        }
            $this->service->commit();
        } catch (\Exception $ex) {
            $this->service->rollback();
            $response->setError(new Error($ex->getMessage(), 500));
        }
    }
}