<?php
namespace GopNext\Services;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class SpreadsheetImportService {
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
  
    /**
    * Start transaction on database server
    *
    * @access public
    * @author Jefferson Gouvea
    */
    public function beginTransaction() {
        $this->connection->beginTransaction();
    }
  
    /**
    * Commit transaction on database server
    *
    * @access public
    * @author Jefferson Gouvea
    */
    public function commit() {
        $this->connection->commit();
    }
  
    /**
    * Roll back transaction in database
    *
    * @access public
    * @author Jefferson Gouvea
    */
    public function rollback() {
        $this->connection->rollback();
    }

    /**
    * Make changes to the monthly budget
    *
    * @access public
    * @author Jefferson Gouvea
    */
    public function recordContent($params) {
        try {
            $insert = "INSERT INTO INTGORCAGOP 
                            (NRINTGORCAGOP, CDFILIAL, NRANO,
                             CDITMORCA, CDDESPDIV, CDARVPROD,
                             VRORCAJAN, VRORCAFEV, VRORCAMAR,
                             VRORCAABR, VRORCAMAI, VRORCAJUN,
                             VRORCAJUL, VRORCAAGO, VRORCASET,
                             VRORCAOUT, VRORCANOV, VRORCADEZ,
                             IDORCAIMP)
                        VALUES
                            (SEQ_INTGORCAGOP.NEXTVAL, :CDFILIAL, TO_DATE('01/01/'||:NRANO,'DD/MM/YYYY'),
                             :CDITMORCA, :CDDESPDIV, :CDARVPROD,
                             :VRORCAJAN, :VRORCAFEV, :VRORCAMAR,
                             :VRORCAABR, :VRORCAMAI, :VRORCAJUN,
                             :VRORCAJUL, :VRORCAAGO, :VRORCASET,
                             :VRORCAOUT, :VRORCANOV, :VRORCADEZ,
                             :IDORCAIMP)";
                             
            $stmt = $this->connection->prepare($insert);
            $stmt->execute($params);
        } catch (Exception $ex) {
            throw $ex;
        };
    }
}